#include <builtin.h>

void hdwinit(void);
void main(void);

void hdwinit(void)
{
}

int bssvar;
int __saddr sbssvar;

int datavar = 0x1234;
int __saddr sdatavar = 0x5678;

volatile int debugwatch;
volatile const int mirrordata = 0x1357;

void main(void)
{
	/* 以下の(2)まで実行させてリスタートさせて(1)でブレークさせた時 */
	/* bssvar   ==> 0x0000 --> 正常 */
	/* sbssvar  ==> 0x0000 --> 正常 */
	/* datasvar ==> 0x1234 --> 正常 */
	/* sdatavar ==> 0x5678 --> 正常 */

	__nop(); /* (1) for breakpoint */
	bssvar = 0xfedc;
	sbssvar = 0xba98;
	datavar = 0x7654;
	sdatavar = 0x3210;
	__nop(); /* (2) for breakpoint */

	/* 以下はアセンブラソースや逆アセンブルウィンドウでコードを確認する為 */

	debugwatch = mirrordata;

	while (1)
	{
	}
}

#pragma interrupt int18h

void int18h(void)
{
}
